%define oname   ruby_core_source

Name:       ruby-%{oname}
Version:    0.1.5
Release:    %mkrel 13
Summary:    Retrieve Ruby core source files
Group:      Development/Ruby
License:    MIT
URL:        http://rubyforge.org/projects/ruby-debug19/
Source0:    http://rubyforge.org/frs/download.php/74596/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:	noarch

%description
Retrieve Ruby core source files.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup
sed -i 's/archive-tar-minitar.*/minitar>)/' ../%{oname}-%{version}.gemspec

%build
%gem_build

%install
%gem_install

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%doc %{gem_instdir}/{LICENSE,README}
%{gem_spec}

%files          doc
%doc README
%doc %{gem_docdir}


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.1.5-13.mga8
+ Revision: 1499913
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.1.5-12.mga7
+ Revision: 1275207
- Mageia 7 Mass Rebuild

* Thu Nov 03 2016 pterjan <pterjan> 0.1.5-11.mga6
+ Revision: 1064802
- Use sed to update dependency

* Thu Dec 31 2015 pterjan <pterjan> 0.1.5-10.mga6
+ Revision: 917489
- Patch minitar dependency

* Thu Dec 31 2015 pterjan <pterjan> 0.1.5-9.mga6
+ Revision: 917460
- Update file list

* Wed Oct 15 2014 umeabot <umeabot> 0.1.5-9.mga5
+ Revision: 740508
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.5-8.mga5
+ Revision: 688947
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 0.1.5-7.mga4
+ Revision: 562471
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.1.5-6.mga4
+ Revision: 538660
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 0.1.5-5.mga4
+ Revision: 490185
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 0.1.5-4.mga3
+ Revision: 396417
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 0.1.5-3.mga3
+ Revision: 381409
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 fwang <fwang> 0.1.5-2.mga3
+ Revision: 315778
- should be noarch

* Wed Nov 07 2012 fwang <fwang> 0.1.5-1.mga3
+ Revision: 315772
- imported package ruby-ruby_core_source

